#div-1{
	background-color:darkgreen ;
/* div has display block by default	*/
}
#span-1{
	background-color: rebeccapurple;
/*span has display block by default	*/

}
#div-2{
	background-color:hotpink ;
}
#span-2{
	background-color: antiquewhite;
}

#img{
/* img has display inline by default */
	width: 250px;
	height: 250px;
	border-radius: 250px;
}
#p-1{
	background-color: #87CEFA;
}
#p-3{
	background-color: yellow;
}

#p-2{
	background-color: rgb(255, 105, 180);
}
.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}
.img-float{
	width: 250px;
	height: 250px;
/*float values  = inherit, right, left,	*/
	float: inherit;
}
.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}
.fifty-percent{
	width: 50%;
}
.one-hundred-pixels{
	width: 100px;
}
.parent{
	width: 167.5px;
	border: 2px solid navy;
}

.backGround{
	min-height: 20rem;
/*	background-color: gray;*/
	background-image:url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	
	background-repeat: no-repeat;	
	background-size: 100%;
	background-position: bottom ;
/* background-attachement values = scroll and fix*/
	background-attachment: scroll;
}
.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 10rem;
}
.container-bg{
	background-color: rgba(0, 0, 0, 0.8);
	min-height: 100vh;
}
.parent-element{
	background-color: skyblue;
	padding: 10px;
	position: relative;
	
	}
/*position values = static, absolute, relative*/

.child-1{
	background-color: dimgray;
	padding: 10px;
	
}

.child-2{
	background-color: yellowgreen;
	padding: 10px;
	position: sticky;
	top: 10px;

}

.child-3{
	background-color: darkgrey;
	padding: 10px;
}
.container{
	position: relative;

}
.black-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	background-color: black;
	color: white;
}
.gray-box{
	position: relative;
	z-index: 2;
	border: 2px solid black;
	margin: 30px;
	background-color: dimgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: -80px;
}